Overview | Package | Class | Tree | Deprecated | Index | Help
| Openfire 3.4.4 Javadoc
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jivesoftware.util.log.format
Class PatternFormatter

    java.lang.Object
      org.jivesoftware.util.log.format.PatternFormatter

All Implemented Interfaces:
  Formatter

Direct Known Subclasses:
  ExtendedPatternFormatter

    public class PatternFormatter

extends Object
implements Formatter

This formater formats the LogEvents according to a input pattern string.

The format of each pattern element can be %[+|-][#[.#]]{field:subformat}.

- The +|- indicates left or right justify.
- The #.# indicates the minimum and maximum size of output.
  You may omit the values and the field will be formatted without size restriction.
  You may specify '#', or '#.' to define an minimum size, only. You may specify '.#' to define an maximum size only.
- 'field' indicates which field is to be output and must be one of properties of LogEvent.
  Currently following fields are supported:
  category
    Category value of the logging event.
  context
    Context value of the logging event.
  message
    Message value of the logging event.
  time
    Time value of the logging event.
  rtime
    Relative time value of the logging event.
  throwable
    Throwable value of the logging event.
  priority
    Priority value of the logging event.
- 'subformat' indicates a particular subformat and is currently only used for category context to specify the context map parameter name.

A simple example of a typical PatternFormatter format:

    %{time} %5.5{priority}[%-10.10{category}]: %{message}

This format string will format a log event printing first time value of of log event with out size restriction, next priority with minum and maximum size 5, next category right justified having minmum and maximum size of 10, at last the message of the log event without size restriction.

A formatted sample message of the above pattern format:

    1000928827905 DEBUG [     junit]: Sample message

`

Version:
  CVS $Revision: 1747 $ $Date: 2005-08-04 14:36:36 -0700 (Thu, 04 Aug 2005) $
Author:
  Peter Donald, Sylvain Wallez

Nested Class Summary
`protected static class` | `PatternFormatter.PatternRun`

Field Summary
`protected static int` | `MAX_TYPE` The maximum value used for TYPEs.

Constructor Summary
`PatternFormatter()` Deprecated. Use constructor PatternFormatter(String pattern) as this does not correctly initialize object
`PatternFormatter(String pattern)`

Method Summary
`String` | `format(LogEvent event)` Format the event according to the pattern.
`protected String` | `formatPatternRun(LogEvent event, PatternFormatter.PatternRun run)` Formats a single pattern run (can be extended in subclasses).
`protected String` | `getCategory(String category, String format)` Utility method to format category.
`protected String` | `getContextMap(ContextMap map, String format)` Utility method to format context map.
`protected String` | `getMessage(String message, String format)` Utility method to format message.
`protected String` | `getPriority(Priority priority, String format)` Get formatted priority string.
`protected String` | `getRTime(long time, String format)` Utility method to format relative time.
`protected String` | `getStackTrace(Throwable throwable, String format)` Utility method to format stack trace.
`protected String` | `getTime(long time, String format)` Utility method to format time.
`protected int` | `getTypeIdFor(String type)` Retrieve the type-id for a particular string.
`protected void` | `parse(String patternString)` Parse the input pattern and build internal data structures.
`void` | `setFormat(String format)` Deprecated. Parse format in via constructor rather than use this method

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### MAX_TYPE

    protected static final int MAX_TYPE

  The maximum value used for TYPEs. Subclasses can define their own TYPEs starting at `MAX_TYPE + 1`.

  See Also:
    Constant Field Values

Constructor Detail

### PatternFormatter

    public PatternFormatter()

  Deprecated. Use constructor PatternFormatter(String pattern) as this does not correctly initialize object

### PatternFormatter

    public PatternFormatter(String pattern)

Method Detail

### format

    public String format(LogEvent event)

  Format the event according to the pattern.

  Specified by:
    `format` in interface `Formatter`
  Parameters:
    `event` - the event
  Returns:
    the formatted output

### formatPatternRun

    protected String formatPatternRun(LogEvent event,
                                      PatternFormatter.PatternRun run)

  Formats a single pattern run (can be extended in subclasses).

  Parameters:
    `run` - the pattern run to format.
  Returns:
    the formatted result.

### getCategory

    protected String getCategory(String category,
                                 String format)

  Utility method to format category.

  Parameters:
    `category` - the category string
    `format` - ancilliary format parameter - allowed to be null
  Returns:
    the formatted string

### getPriority

    protected String getPriority(Priority priority,
                                 String format)

  Get formatted priority string.

### getContextMap

    protected String getContextMap(ContextMap map,
                                   String format)

  Utility method to format context map.

  Parameters:
    `map` - the context map
    `format` - ancilliary format parameter - allowed to be null
  Returns:
    the formatted string

### getMessage

    protected String getMessage(String message,
                                String format)

  Utility method to format message.

  Parameters:
    `message` - the message string
    `format` - ancilliary format parameter - allowed to be null
  Returns:
    the formatted string

### getStackTrace

    protected String getStackTrace(Throwable throwable,
                                   String format)

  Utility method to format stack trace.

  Parameters:
    `throwable` - the throwable instance
    `format` - ancilliary format parameter - allowed to be null
  Returns:
    the formatted string

### getRTime

    protected String getRTime(long time,
                              String format)

  Utility method to format relative time.

  Parameters:
    `time` - the time
    `format` - ancilliary format parameter - allowed to be null
  Returns:
    the formatted string

### getTime

    protected String getTime(long time,
                             String format)

  Utility method to format time.

  Parameters:
    `time` - the time
    `format` - ancilliary format parameter - allowed to be null
  Returns:
    the formatted string

### getTypeIdFor

    protected int getTypeIdFor(String type)

  Retrieve the type-id for a particular string.

  Parameters:
    `type` - the string
  Returns:
    the type-id

### parse

    protected final void parse(String patternString)

  Parse the input pattern and build internal data structures.

  Parameters:
    `patternString` - the pattern

### setFormat

    public void setFormat(String format)

  Deprecated. Parse format in via constructor rather than use this method

  Set the string description that the format is extracted from.

  Parameters:
    `format` - the string format

Overview | Package | Class | Tree | Deprecated | Index | Help
| Openfire 3.4.4 Javadoc
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003-2007 Jive Software.`